curl --location 'https://api.ordermesh.io/catalog/v1/variants' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"id": "73534",
"productId": "1194",
"sku": "Mug11oz-White-RedAccent",
"attributes": [
{
"name": "Color",
"value": "White With Red Accents"
},
{
"name": "Size",
"value": "11 oz"
}
],
"options": [
{
"name": "Gift Wrap",
"value": "Standard Wrap"
}
],
"decorations": [
{
"area": "Default",
"width": 2538,
"height": 945,
"dpi": 300,
"method": "DirectToGarment",
"price": null,
"printImage": null,
"attributes": [
{
"name": "Placement",
"value": "Center Chest"
}
]
}
],
"price": {
"currencies": null,
"amount": 7.9,
"currency": "USD"
},
"status": "active",
"images": [
"http://cdn.print.io/temp/b372005663144e6699af3c2c58b7ea9bMug_red_PreviewImage.png"
],
"gtin": "1194",
"upc": "Mug11oz-White-RedAccent",
"partNumber": "1194",
"extras": [
{
"name": "PimVariantId",
"value": "PIM-VAR-73534"
},
{
"name": "LegacySku",
"value": "OLD-SKU-XYZ"
},
{
"name": "WeightOunces",
"value": "4.2"
}
]
}'